Skip to main content
PATCH
/
v2
/
payer
/
{clientUserId}
Update agreement status
curl --request PATCH \
  --url https://api.request.network/v2/payer/{clientUserId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "agreementCompleted": true
}
'
import requests

url = "https://api.request.network/v2/payer/{clientUserId}"

payload = { "agreementCompleted": True }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({agreementCompleted: true})
};

fetch('https://api.request.network/v2/payer/{clientUserId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"statusCode": 400,
"message": "agreementCompleted must be provided",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Payer with client user ID user-123 not found",
"error": "Not Found"
}

Headers

x-api-key
string
required

API key for authentication

Path Parameters

clientUserId
string
required

The client user ID to update

Example:

"user-123"

Body

application/json
agreementCompleted
boolean
required

Response

Compliance status updated successfully

success
boolean
Example:

true